VIPW(8)

NAZWA
vipw, vigr - edytuje plik haseł lub grup

SKŁADNIA

vipw [opcje]

vigr [opcje]

OPIS

vipw edytuje plik haseł, ustawiając odpowiednie blokady i dokonując wymaganych operacji po jego odblokowaniu. Jeśli plik haseł jest już zablokowany do edycji przez innego użytkownika, vipw poprosi o ponowienie próby później. Domyślnym edytorem vipw i vigr jest vi(1). vigr edytuje plik grup w ten sam sposób, co vipw plik passwd.

OPCJE

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

ŚRODOWISKO

Jeśli poniższe zmienne środowiskowe istnieją, zostaną użyte przez vipw i vigr:

EDITOR
    Edytor podany w łańcuchu EDITOR zostanie wywołany zamiast domyślnego edytora - vi(1).

HISTORIA

Polecenie vipw pojawiło się w 4.0BSD. Polecenie vigr pojawiło się w Util-Linux 2.6.

ZOBACZ TAKŻE

vi(1), passwd(1), flock(2), passwd(5)

DOSTĘPNOŚĆ

Polecenia vigr i vipw są częścią pakietu util-linux, który można pobrać ze strony